OpenTTD Source: ArrayStringParameters< N > Class Template Reference

OpenTTD Source 14.0-beta3

Public Member Functions | Private Attributes
ArrayStringParameters< N > Class Template Reference

Extension of StringParameters with its own statically sized buffer for the parameters. More...

`#include <strings_internal.h>`

Inheritance diagram for ArrayStringParameters< N >:

## Public Member Functions
| ArrayStringParameters (ArrayStringParameters &&other) noexcept
ArrayStringParameters & | operator= (ArrayStringParameters &&other) noexcept
| ArrayStringParameters (const ArrayStringParameters &other)=delete
ArrayStringParameters & | operator= (const ArrayStringParameters &other)=delete
Public Member Functions inherited from StringParameters
| StringParameters (StringParameters &parent, size_t size)
| Create a new StringParameters instance that can reference part of the data of the given parent instance.
void | PrepareForNextRun ()
| Prepare the string parameters for the next formatting run. More...
void | SetTypeOfNextParameter (char32_t type)
size_t | GetOffset ()
| Get the current offset, so it can be backed up for certain processing steps, or be used to offset the argument index within sub strings. More...
void | SetOffset (size_t offset)
| Set the offset within the string from where to return the next result of `GetInt64` or `GetInt32`. More...
void | AdvanceOffset (size_t advance)
| Advance the offset within the string from where to return the next result of `GetInt64` or `GetInt32`. More...
template<typename T >
T | GetNextParameter ()
| Get the next parameter from our parameters. More...
const char * | GetNextParameterString ()
| Get the next string parameter from our parameters. More...
StringParameters | GetRemainingParameters ()
| Get a new instance of StringParameters that is a "range" into the remaining existing parameters. More...
StringParameters | GetRemainingParameters (size_t offset)
| Get a new instance of StringParameters that is a "range" into the remaining existing parameters from the given offset. More...
size_t | GetDataLeft () const
| Return the amount of elements which can still be read.
char32_t | GetTypeAtOffset (size_t offset) const
| Get the type of a specific element.
void | SetParam (size_t n, uint64_t v)
template<typename T , std::enable_if_t< std::is_base_of< StrongTypedefBase, T >::value, int > = 0>
void | SetParam (size_t n, T v)
void | SetParam (size_t n, const char *str)
void | SetParam (size_t n, const std::string &str)
void | SetParam (size_t n, std::string &&str)
uint64_t | GetParam (size_t n) const
const char * | GetParamStr (size_t n) const
| Get the stored string of the parameter, or `nullptr` when there is none. More...

## Private Attributes
std::array< StringParameter, N > | params {}
| The actual parameters.

## Additional Inherited Members
Protected Member Functions inherited from StringParameters
| StringParameters (std::span< StringParameter > parameters={})
StringParameter * | GetNextParameterPointer ()
| Get the next parameter from our parameters. More...
Protected Attributes inherited from StringParameters
StringParameters * | parent = nullptr
| If not nullptr, this instance references data from this parent instance.
std::span< StringParameter > | parameters = {}
| Array with the actual parameters.
size_t | offset = 0
| Current offset in the parameters span.
char32_t | next_type = 0
| The type of the next data that is retrieved.

## Detailed Description

### template<size_t N>
class ArrayStringParameters< N >

Extension of StringParameters with its own statically sized buffer for the parameters.

Definition at line 203 of file strings_internal.h.

The documentation for this class was generated from the following file:

- src/strings_internal.h